# GetUpdates - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests / GetUpdates

# GetUpdates

(common) `data class GetUpdates : SimpleRequest<List<Update>>` (source)

### Constructors

(common)

#### <init>

`GetUpdates(offset: UpdateIdentifier? = null, limit: Int = getUpdatesLimit.last, timeout: Seconds? = null, allowed_updates: List<String>? = ALL_UPDATES_LIST)`

### Properties

(common)

#### allowed_updates

`val allowed_updates: List<String>?`

(common)

#### limit

`val limit: Int`

(common)

#### offset

`val offset: UpdateIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<List<Update>>`

(common)

#### timeout

`val timeout: Seconds?`

### Functions

(common)

#### method

`fun method(): String`